uniform sampler2D tex;
uniform float screen_ysz;

void main()
{
	float y = 1.4 * (gl_FragCoord.y / screen_ysz);

	vec4 texel = texture2D(tex, gl_TexCoord[0].st);
	vec4 color = gl_Color;
	color.a = min(smoothstep(0.0, 0.15, y), 1.0 - smoothstep(0.85, 1.0, y));

	gl_FragColor = texel * color;
}
